/* 
Theme Name: Klarko nepapej
Theme URI: https://webnook.cz/
Description: Klárko nepapej
Author: Webnook
Author URI: https://webnook.cz/
Template: hello-elementor
Version: 1.0.1
Text Domain: klarkonepapej
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

/*********************************************************

    OBECNÉ

*********************************************************/
/*------------------------------------------------------*/
/* NADPIS
/*------------------------------------------------------*/
article .elementor-heading-title:hover {
    color: var(--e-global-color-secondary );
}

/*------------------------------------------------------*/
/* FORM
/*------------------------------------------------------*/
input[type="date"],
input[type="email"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="url"],
select,
textarea {
    border-color: var(--e-global-color-c89c64e );
    outline: none;
}

input[type=date]:focus,
input[type=email]:focus,
input[type=number]:focus,
input[type=password]:focus,
input[type=search]:focus,
input[type=tel]:focus,
input[type=text]:focus,
input[type=url]:focus,
select:focus,
textarea:focus {
    border: 1px solid var(--e-global-color-secondary ) !important;
    outline: none !important;
}

input::placeholder,
textarea::placeholder {
    text-transform: lowercase;
    opacity: unset;
    color: var(--e-global-color-accent );
    font-size: var(--e-global-typography-e0a819e-font-size );
/*    font-weight: var(--e-global-typography-e0a819e-font-weight );
    line-height: var(--e-global-typography-e0a819e-line-height );
    letter-spacing: var(--e-global-typography-e0a819e-letter-spacing );
    word-spacing: var(--e-global-typography-e0a819e-word-spacing );*/
}

/*------------------------------------------------------*/
/* TLAČÍTKA
/*------------------------------------------------------*/
#comments .reply a,
#comments .comment-respond p.logged-in-as a,
#comments .comment-respond input.submit {
    padding: 5px 14px;
    background-color: var(--e-global-color-secondary );
    color: #ffffff;
    font-size: var(--e-global-typography-871b4df-font-size );
}

#comments .reply a:hover,
#comments .comment-respond p.logged-in-as a:hover,
#comments .comment-respond input.submit:hover {
    background-color: var(--e-global-color-primary );
}

input[type="submit"],
button[type="submit"] {
    font-size: var(--e-global-typography-785e4a1-font-size ) !important;
    font-weight: var(--e-global-typography-785e4a1-font-weight ) !important;
    text-transform: var(--e-global-typography-785e4a1-text-transform ) !important;
    line-height: var(--e-global-typography-785e4a1-line-height ) !important;
    letter-spacing: var(--e-global-typography-785e4a1-letter-spacing ) !important;
    word-spacing: var(--e-global-typography-785e4a1-word-spacing ) !important;
    border: none;
    outline: none;
    width: 100%;
    padding: 15px 30px 15px 30px !important;
}

input[type="submit"]:focus,
button[type="submit"]:focus {
    outline: none;
}

/*------------------------------------------------------*/
/* TABULKA
/*------------------------------------------------------*/
body.single a {
    color: var(--e-global-color-secondary);
}

body.single a:hover {
    color: var(--e-global-color-primary);
}

body.single figure.wp-block-table {
    margin: 0px;
}

body.single table td {
/*    border: none ;*/
/*    border: 1px solid var(--e-global-color-7ed36c0 );*/
    border: 1px solid var(--e-global-color-7ed36c0 );
}

/*********************************************************

    SIDEBAR

*********************************************************/
@media (max-width: 1024px) {
    .elementor-14 .elementor-element.elementor-element-ecfb8f2 {
	width: 100%;
    }
    .elementor-14 .elementor-element.elementor-element-58a3929 {
	width: 100%;
    }
}


/*********************************************************

    ČLÁNKY

*********************************************************/
/*------------------------------------------------------*/
/* VÝPIS ČLÁNKŮ - HOMEPAGE
/*------------------------------------------------------*/
/* even = párny, odd  = nepárny */
@media (min-width: 768px) {
    .e-loop-item:nth-of-type(odd) article .wn-article-content-side {
	order:0;
	margin-right: -55px;
    }

    .e-loop-item:nth-of-type(odd) article .wn-article-img-side {
	order:1;
    }

    .e-loop-item:nth-of-type(even) article .wn-article-content-side {
	order:1;
    }

    .e-loop-item:nth-of-type(even) article .wn-article-img-side {
	order:0;
	margin-right: -55px;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .e-loop-item:nth-of-type(odd) article .wn-article-content-side {
	flex-grow: 100;
    }

    .e-loop-item:nth-of-type(even) article .wn-article-img-side {
	flex-grow: 100;
    }
}

/*------------------------------------------------------*/
/* BOHYBUJÚCI SA PODTRHOVNÍK
/*------------------------------------------------------*/
article .wn-article-read a:hover:before {
    width: 0%;
    transition: width 0.3s ease-in-out;
}

article .wn-article-read a:before {
    content: "";
    width: 100%;
    position: absolute;
    border-bottom: 1px solid;
    height: 0;
    top: 100%;
    right: 0%;
}

article .wn-article-read a:hover:after {
    width: 100%;
    transition: width 0.5s ease-in-out 0.3s;
}

article .wn-article-read a:after {
    content: "";
    width: 0%;
    position: absolute;
    border-bottom: 1px solid;
    height: 0;
    top: 100%;
    left: 0;
}

/*------------------------------------------------------*/
/* ŠÍPKA NAD OBRÁZKOM VO VÝPISU PRÍSPEVKOV
/*------------------------------------------------------*/
article .wn-post-img a:hover:before {
    z-index: 9;
    opacity: 1;
    transform: translate(-50%,-50%);
}

article .wn-post-img a:before {
    content: "\2192";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-100%, -50%);
    color: #fff;
    font-size: 90px;
    opacity: 0;
    transition: all 0.4s ease-out;
}

article .wn-post-img:hover a:after {
    opacity: 0.81;
    z-index: 8;
}

article .wn-post-img a:after {
    background-color: #e87250;
    content: "";
    background-color: #f46d46;
    opacity: 0;
    transition: all 0.4s ease-out;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    display: block;
    position: absolute;
}

/*********************************************************

    ČLÁNOK

*********************************************************/
.wn-article-title-tag a:hover {
    color: var(--e-global-color-primary ) !important;
}

.elementor-post-info__item-prefix {
    font-weight: normal;
}

.elementor-post-info__terms-list a:hover {
    color: var(--e-global-color-secondary ) !important;
}

.single-post img {
    padding: 5px;
    box-shadow: 0px 4px 37px -5px rgba(0, 0, 0, 0.3);
}

.wp-block-image figure figcaption {
    margin-bottom: 0.1em;
    margin-top: 0.5em;
    font-size: var(--e-global-typography-e0a819e-font-size );
    line-height: 1.5em;
    letter-spacing: var(--e-global-typography-e0a819e-letter-spacing );
    word-spacing: var(--e-global-typography-e0a819e-word-spacing );
}

.single-post strong {
    font-weight: 700;
}

/*------------------------------------------------------*/
/* KOMENTÁRE
/*------------------------------------------------------*/
#comments .title-comments {
    display: none;
}

#comments .comment-meta {
    order: 1;
    flex-direction: column;
}

#comments .comment-metadata {
    line-height: 2;
}

#comments .comment-metadata a {
    color: var(--e-global-color-accent );
    font-size: var(--e-global-typography-871b4df-font-size );
    font-weight: var(--e-global-typography-871b4df-font-weight );
    text-transform: var(--e-global-typography-871b4df-text-transform );
}

#comments .comment-content {
    order: 2;
    color: var(--e-global-color-text );
    font-family: var(--e-global-typography-text-font-family ), Sans-serif;
    font-weight: var(--e-global-typography-text-font-weight );
}

#comments .reply {
    order: 3;
    align-self: flex-start;
}

@media (min-width: 768px) {
    #comments .avatar {
	width: 6%;
	border-style: solid;
	border-width: 5px 5px 5px 5px;
	border-color: var(--e-global-color-7ed36c0 );
	border-radius: 150px 150px 150px 150px;
	box-shadow: 0px 4px 37px 0px rgba(0, 0, 0, 0.08);
	left: 30px !important;
    }
}

#comments .comment-author .fn {
    color: var(--e-global-color-primary );
    font-family: var(--e-global-typography-primary-font-family ), Sans-serif;
    font-weight: var(--e-global-typography-primary-font-weight );
    font-size: 16px;
}

#comments .comment-author .says {
    color: var(--e-global-color-accent );
    font-size: 8px;
    font-weight: var(--e-global-typography-e0a819e-font-weight );
}

#comments .comment-metadata a.comment-edit-link {
    font-size: 8px;
}

#comments .comment.depth-1 {
    margin-bottom: 40px;
}

#comments .comment article:hover {
    box-shadow: 0px 4px 37px 0px rgba(0, 0, 0, 0.2);
    transition: all .3s;
    transition-duration: 0.3s;
    transition-timing-function: ease;
    transition-delay: 0s;
    transition-property: all;
}

#comments .comment .children {
    margin-top: 15px;
}

#comments .comment .children .comment article {
    border-color: var(--e-global-color-secondary );
    background-color: var(--e-global-color-7ed36c0 );
}

#comments .comment .comment-body, #comments .pingback .comment-body {
    box-shadow: 0 4px 37px 0 rgba(0,0,0,0.08);
    padding: 30px 30px 30px 30px;
}

@media (min-width: 768px) {
    #comments .comment .comment-body, #comments .pingback .comment-body {
	padding: 30px 60px 30px 100px;
    }
}

#comments ol.comment-list .children:before {
    content: "\293F";
    font-size: 2.5em;
    color: var(--e-global-color-c89c64e );
    left: -10px;
/*    color: var(--e-global-color-secondary );*/
}

#comments li.thread-odd article {
/*    background-color: red !important;*/
    background-color: #eeeeee;
}

/*#comments li.thread-even article {
    background-color: var(--e-global-color-7ed36c0 );
}*/

@media (min-width: 768px) {
    #comments .comment-respond .comment-reply-title {
	margin: 50px 0px 28px 0px;
    }
}

#comments .comment-respond .comment-reply-title {
    font-size: 13px;
    text-transform: uppercase;
    line-height: 20px;
    letter-spacing: 1.5px;
    color: var(--e-global-color-primary );
    font-family: var(--e-global-typography-primary-font-family ), Sans-serif;
    font-weight: var(--e-global-typography-primary-font-weight );

/*    transition: background .3s,border .3s,border-radius .3s,box-shadow .3s,transform var(--e-transform-transition-duration,.4s);*/
    text-align: center;
}

#comments .comment-respond p.logged-in-as,
#comments .comment-respond p.comment-notes,
#comments .comment-respond label {
    color: var(--e-global-color-accent );
    font-size: var(--e-global-typography-e0a819e-font-size );
    font-weight: var(--e-global-typography-e0a819e-font-weight );
    line-height: var(--e-global-typography-e0a819e-line-height );
    letter-spacing: var(--e-global-typography-e0a819e-letter-spacing );
    word-spacing: var(--e-global-typography-e0a819e-word-spacing );
}

/*********************************************************

    PATIČKA

*********************************************************/
footer a:hover {
    color: var(--e-global-color-secondary ) !important;
}
